require 'openbase'

# connects to database
ob = OpenBase.new('OBMovies', 'localhost', 'admin', '')

# scheme information
puts "* encoding = #{ob.encoding}"
tables = ob.tables
tables.reject! { |t| /\A_SYS_/ === t }
puts "* tables = #{tables.join(', ')}"
puts "* columns of MOVIE = #{ob.columns('MOVIE').join(', ')}"
puts "* relationships of MOVIE = #{ob.relationships('MOVIE').join(', ')}"

# execute SQL statement
result = ob.execute "select t0.TITLE, t0.REVENUE, t1.NAME from MOVIE t0, STUDIO t1 where t0.STUDIO_ID = t1.STUDIO_ID order by t0.REVENUE ASC"

# show each row
puts
puts "* show infomation for the columns"
result.column_infos.each do |info|
  puts "** #{info.table}.#{info.name} = #{info.type}"
end

puts
puts "* show rows"
result.each do |row|
  p row
end

